XnModuleMapGeneratorInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnModuleGeneratorInterface * | pGeneratorInterface
XnUInt32(* | GetSupportedMapOutputModesCount )(XnModuleNodeHandle hGenerator)
XnStatus(* | GetSupportedMapOutputModes )(XnModuleNodeHandle hGenerator, XnMapOutputMode *aModes, XnUInt32 *pnCount)
XnStatus(* | SetMapOutputMode )(XnModuleNodeHandle hGenerator, const XnMapOutputMode *pOutputMode)
XnStatus(* | GetMapOutputMode )(XnModuleNodeHandle hGenerator, XnMapOutputMode *pOutputMode)
XnStatus(* | RegisterToMapOutputModeChange )(XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)
void(* | UnregisterFromMapOutputModeChange )(XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)
XnModuleCroppingInterface * | pCroppingInterface
XnUInt32(* | GetBytesPerPixel )(XnModuleNodeHandle hGenerator)
XnModuleAntiFlickerInterface * | pAntiFlickerInterface

## Member Data Documentation

## GetBytesPerPixel

XnUInt32(* XnModuleMapGeneratorInterface::GetBytesPerPixel) (XnModuleNodeHandle hGenerator)

Gets the number of bytes per pixel

Parameters

  hGenerator | [in] A handle to the instance.

## GetMapOutputMode

XnStatus(* XnModuleMapGeneratorInterface::GetMapOutputMode) (XnModuleNodeHandle hGenerator, XnMapOutputMode *pOutputMode)

Gets the current output mode.

Parameters

  hGenerator | [in] A handle to the instance.
  pOutputMode | [out] Current output mode.

## GetSupportedMapOutputModes

XnStatus(* XnModuleMapGeneratorInterface::GetSupportedMapOutputModes) (XnModuleNodeHandle hGenerator, XnMapOutputMode *aModes, XnUInt32 *pnCount)

Gets a list of all supported modes. The size of the array that should be passed can be obtained by calling GetSupportedMapOutputModesCount().

Parameters

  hInstance | [in] A handle to the instance.
  aModes | [in/out] An array to be filled with supported modes.
  pnCount | [in/out] In: number of elements allocated in the array. Out: number of elements actually written to the array.

## GetSupportedMapOutputModesCount

XnUInt32(* XnModuleMapGeneratorInterface::GetSupportedMapOutputModesCount) (XnModuleNodeHandle hGenerator)

Gets the number of supported modes. This is useful for allocating an array that will be passed to GetSupportedMapOutputModes().

Parameters

  hInstance | [in] A handle to the instance.

## pAntiFlickerInterface

XnModuleAntiFlickerInterface* XnModuleMapGeneratorInterface::pAntiFlickerInterface

## pCroppingInterface

XnModuleCroppingInterface* XnModuleMapGeneratorInterface::pCroppingInterface

## pGeneratorInterface

XnModuleGeneratorInterface* XnModuleMapGeneratorInterface::pGeneratorInterface

Contains the generator interface.

## RegisterToMapOutputModeChange

XnStatus(* XnModuleMapGeneratorInterface::RegisterToMapOutputModeChange) (XnModuleNodeHandle hGenerator, XnModuleStateChangedHandler handler, void *pCookie, XnCallbackHandle *phCallback)

Registers a callback function to mode changes.

Parameters

  hGenerator | [in] A handle to the instance.
  handler | [in] A pointer to a function that will be called when mode changes.
  pCookie | [in] A user cookie that will be passed to the callback function.
  phCallback | [out] Optional. Will be filled with a handle to be passed to UnregisterFromMapOutputModeChange.

## SetMapOutputMode

XnStatus(* XnModuleMapGeneratorInterface::SetMapOutputMode) (XnModuleNodeHandle hGenerator, const XnMapOutputMode *pOutputMode)

Sets the output mode.

Parameters

  hGenerator | [in] A handle to the instance.
  pOutputMode | [in] The output mode to be set.

## UnregisterFromMapOutputModeChange

void(* XnModuleMapGeneratorInterface::UnregisterFromMapOutputModeChange) (XnModuleNodeHandle hGenerator, XnCallbackHandle hCallback)

Unregisters a callback function which was registered using RegisterToMapOutputModeChange.

Parameters

  hGenerator | [in] A handle to the instance.
  hCallback | [in] The handle to the callback returned from RegisterToMapOutputModeChange.

The documentation for this struct was generated from the following file:

- XnModuleInterface.h